Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html.parser
Class ContentModel

    java.lang.Object
      |
      +--javax.swing.text.html.parser.ContentModel

All Implemented Interfaces:
  Serializable

public final class ContentModel
extends Object
implements Serializable

A representation of a content model. A content model is basically a restricted BNF expression. It is restricted in the sense that it must be deterministic. This means that you don't have to represent it as a finite state automata.

See Annex H on page 556 of the SGML handbook for more information.

Field Summary
`Object` | `content` The content.
`ContentModel` | `next` The next content model (in a ',', '|' or '&' expression).
`int` | `type` Type.

Constructor Summary
`ContentModel()`
`ContentModel(Element content)` Create a content model for an element.
`ContentModel(int type, ContentModel content)` Create a content model of a particular type.
`ContentModel(int type, Object content, ContentModel next)` Create a content model of a particular type.

Method Summary
`boolean` | `empty()` Return true if the content model could match an empty input stream.
`Element` | `first()` Return the element that must be next.
`boolean` | `first(Object token)` Return true if the token could potentially be the first token in the input stream.
`void` | `getElements(Vector elemVec)` Update elemVec with the list of elements that are part of the this contentModel.
`String` | `toString()` Convert to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

  Type. Either '*', '?', '+', ',', '|', '&'.

### content

    public Object content

  The content. Either an Element or a ContentModel.

### next

    public ContentModel next

  The next content model (in a ',', '|' or '&' expression).

Constructor Detail

### ContentModel

    public ContentModel()

### ContentModel

    public ContentModel(Element content)

  Create a content model for an element.

### ContentModel

    public ContentModel(int type,
                        ContentModel content)

  Create a content model of a particular type.

### ContentModel

    public ContentModel(int type,
                        Object content,
                        ContentModel next)

  Create a content model of a particular type.

Method Detail

### empty

    public boolean empty()

  Return true if the content model could match an empty input stream.

### getElements

    public void getElements(Vector elemVec)

  Update elemVec with the list of elements that are part of the this contentModel.

### first

    public boolean first(Object token)

  Return true if the token could potentially be the first token in the input stream.

### first

    public Element first()

  Return the element that must be next.

### toString

    public String toString()

  Convert to a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.